| Disk ARchive 2.7.18 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Static Private Member Functions | List of all members
libdar5::archive Class Reference
API5

the archive class realizes the most general operations on archives More...

`#include <archive5.hpp>`

Inherits libdar::archive.

## Public Member Functions
| archive (user_interaction &dialog, const path &chem, const std::string &basename, const std::string &extension, const archive_options_read &options)
| archive (user_interaction &dialog, const path &fs_root, const path &sauv_path, const std::string &filename, const std::string &extension, const archive_options_create &options, statistics *progressive_report)
| archive (user_interaction &dialog, const path &sauv_path, archive *ref_arch1, const std::string &filename, const std::string &extension, const archive_options_merge &options, statistics *progressive_report)
| archive (user_interaction &dialog, const path &chem_src, const std::string &basename_src, const std::string &extension_src, const archive_options_read &options_read, const path &chem_dst, const std::string &basename_dst, const std::string &extension_dst, const archive_options_repair &options_repair)
statistics | op_extract (user_interaction &dialog, const path &fs_root, const archive_options_extract &options, statistics *progressive_report)
void | summary (user_interaction &dialog)
void | op_listing (user_interaction &dialog, const archive_options_listing &options)
| overwriting op_listing to use the user_interaction as callback
statistics | op_diff (user_interaction &dialog, const path &fs_root, const archive_options_diff &options, statistics *progressive_report)
statistics | op_test (user_interaction &dialog, const archive_options_test &options, statistics *progressive_report)
void | op_isolate (user_interaction &dialog, const path &sauv_path, const std::string &filename, const std::string &extension, const archive_options_isolate &options)
bool | get_children_of (user_interaction &dialog, const std::string &dir)
| overloading get_children_of to use the user_interaction object as callback
void | init_catalogue (user_interaction &dialog) const
void | drop_all_filedescriptors (user_interaction &dialog)
Public Member Functions inherited from libdar::archive
| archive (const std::shared_ptr< user_interaction > &dialog, const path &chem, const std::string &basename, const std::string &extension, const archive_options_read &options)
| this constructor opens an already existing archive (for reading) [this is the "read" constructor]
| archive (const std::shared_ptr< user_interaction > &dialog, const path &fs_root, const path &sauv_path, const std::string &filename, const std::string &extension, const archive_options_create &options, statistics *progressive_report)
| this constuctor create an archive (full or differential) [this is the "create" constructor]
| archive (const std::shared_ptr< user_interaction > &dialog, const path &sauv_path, std::shared_ptr< archive > ref_arch1, const std::string &filename, const std::string &extension, const archive_options_merge &options, statistics *progressive_report)
| this constructor builds an archive from two given archive [this is the "merge" constructor]
| archive (const std::shared_ptr< user_interaction > &dialog, const path &chem_src, const std::string &basename_src, const std::string &extension_src, const archive_options_read &options_read, const path &chem_dst, const std::string &basename_dst, const std::string &extension_dst, const archive_options_repair &options_repair, statistics *progressive_report=nullptr)
| this constructor create a new archive from a damaged one [this is the "repair" constructor]
| archive (const archive &ref)=delete
| copy constructor (not implemented, throw an exception if called explicitely or implicitely)
| archive (archive &&ref)=delete
archive & | operator= (const archive &ref)=delete
archive & | operator= (archive &&ref)=delete
| ~archive ()
| the destructor
statistics | op_extract (const path &fs_root, const archive_options_extract &options, statistics *progressive_report)
| extraction of data from an archive
void | summary ()
| display a summary of the archive
archive_summary | summary_data ()
| same information as summary() but as broken out data
void | op_listing (archive_listing_callback callback, void *context, const archive_options_listing &options) const
| listing of the archive contents
statistics | op_diff (const path &fs_root, const archive_options_diff &options, statistics *progressive_report)
| archive comparison with filesystem
statistics | op_test (const archive_options_test &options, statistics *progressive_report)
| test the archive integrity
void | op_isolate (const path &sauv_path, const std::string &filename, const std::string &extension, const archive_options_isolate &options)
| this methodes isolates the catalogue of a the current archive into a separated archive
bool | get_children_of (archive_listing_callback callback, void *context, const std::string &dir, bool fetch_ea=false)
| getting information about a given directory
const std::vector< list_entry > | get_children_in_table (const std::string &dir, bool fetch_ea=false) const
| getting information about the given directory (alternative to get_children_of)
bool | has_subdirectory (const std::string &dir) const
| returns true if the pointed directory has one or more subdirectories
const entree_stats | get_stats () const
| retrieving statistics about archive contents
const std::list< signator > & | get_signatories () const
| retrieving signature information about the archive
void | init_catalogue () const
void | drop_all_filedescriptors ()
| closes all filedescriptors and associated even when in sequential read mode
void | set_to_unsaved_data_and_FSA ()
| change all inode as unsaved (equal to differential backup with no change met)
U_64 | get_first_slice_header_size () const
| get the first slice header
U_64 | get_non_first_slice_header_size () const
| get the non first slice header

## Static Private Member Functions
static void | listing_callback (const std::string &the_path, const libdar::list_entry &entry, void *context)

## Detailed Description

the archive class realizes the most general operations on archives

the operations corresponds to the one the final user expects, these are the same abstraction level as the operation realized by the DAR command line tool.

Definition at line 54 of file archive5.hpp.

## Constructor & Destructor Documentation

## ◆ archive() [1/4]

libdar5::archive::archive | ( | user_interaction & | dialog,
|  | const path & | chem,
|  | const std::string & | basename,
|  | const std::string & | extension,
|  | const archive_options_read & | options )
| inline

Definition at line 57 of file archive5.hpp.

## ◆ archive() [2/4]

libdar5::archive::archive | ( | user_interaction & | dialog,
|  | const path & | fs_root,
|  | const path & | sauv_path,
|  | const std::string & | filename,
|  | const std::string & | extension,
|  | const archive_options_create & | options,
|  | statistics * | progressive_report )
| inline

Definition at line 69 of file archive5.hpp.

## ◆ archive() [3/4]

libdar5::archive::archive | ( | user_interaction & | dialog,
|  | const path & | sauv_path,
|  | archive * | ref_arch1,
|  | const std::string & | filename,
|  | const std::string & | extension,
|  | const archive_options_merge & | options,
|  | statistics * | progressive_report )
| inline

Definition at line 85 of file archive5.hpp.

## ◆ archive() [4/4]

libdar5::archive::archive | ( | user_interaction & | dialog,
|  | const path & | chem_src,
|  | const std::string & | basename_src,
|  | const std::string & | extension_src,
|  | const archive_options_read & | options_read,
|  | const path & | chem_dst,
|  | const std::string & | basename_dst,
|  | const std::string & | extension_dst,
|  | const archive_options_repair & | options_repair )
| inline

Definition at line 101 of file archive5.hpp.

## Member Function Documentation

## ◆ drop_all_filedescriptors()

void libdar5::archive::drop_all_filedescriptors | ( | user_interaction & | dialog | ) |
| inline

Definition at line 179 of file archive5.hpp.

## ◆ init_catalogue()

void libdar5::archive::init_catalogue | ( | user_interaction & | dialog | ) | const
| inline

Definition at line 174 of file archive5.hpp.

## ◆ op_diff()

statistics libdar5::archive::op_diff | ( | user_interaction & | dialog,
|  | const path & | fs_root,
|  | const archive_options_diff & | options,
|  | statistics * | progressive_report )
| inline

Definition at line 140 of file archive5.hpp.

## ◆ op_extract()

statistics libdar5::archive::op_extract | ( | user_interaction & | dialog,
|  | const path & | fs_root,
|  | const archive_options_extract & | options,
|  | statistics * | progressive_report )
| inline

Definition at line 121 of file archive5.hpp.

## ◆ op_isolate()

void libdar5::archive::op_isolate | ( | user_interaction & | dialog,
|  | const path & | sauv_path,
|  | const std::string & | filename,
|  | const std::string & | extension,
|  | const archive_options_isolate & | options )
| inline

Definition at line 158 of file archive5.hpp.

## ◆ op_test()

statistics libdar5::archive::op_test | ( | user_interaction & | dialog,
|  | const archive_options_test & | options,
|  | statistics * | progressive_report )
| inline

Definition at line 150 of file archive5.hpp.

## ◆ summary()

void libdar5::archive::summary | ( | user_interaction & | dialog | ) |
| inline

Definition at line 131 of file archive5.hpp.

The documentation for this class was generated from the following file:

- archive5.hpp